package com.zd.laboratory.domain;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 风险管理和传感器关联对象 lab_risk_plan_sensor_relation
 *
 * @author zd
 * @date 2021-09-03
 */
@ApiModel("风险管理和传感器关联表")
public class LabRiskPlanSensorRelation extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 自增主见
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;

    /**
     * 风险预案id
     */
    @ApiModelProperty(value = "风险预案id")
    @Excel(name = "风险预案id")
    private Long riskPlanId;

    /**
     * 传感器id
     */
    @ApiModelProperty(value = "传感器id")
    @Excel(name = "传感器id")
    private Long sensorId;

    /**
     * 最小检测值
     */
    @ApiModelProperty(value = "最小检测值")
    @Excel(name = "最小检测值")
    private BigDecimal minMonitor;

    /**
     * 最大检测值
     */
    @ApiModelProperty(value = "最大检测值")
    @Excel(name = "最大检测值")
    private BigDecimal maxMonitor;

    /**
     * 最大检测值
     */
    @ApiModelProperty(value = "功能编码")
    @Excel(name = "功能编码")
    private String funNum;


    /**
     * 功能描述名称
     */
    @ApiModelProperty("功能描述名称")
    private String describe;


    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setRiskPlanId(Long riskPlanId) {
        this.riskPlanId = riskPlanId;
    }

    public Long getRiskPlanId() {
        return riskPlanId;
    }

    public void setSensorId(Long sensorId) {
        this.sensorId = sensorId;
    }

    public Long getSensorId() {
        return sensorId;
    }

    public void setMinMonitor(BigDecimal minMonitor) {
        this.minMonitor = minMonitor;
    }

    public BigDecimal getMinMonitor() {
        return minMonitor;
    }

    public void setMaxMonitor(BigDecimal maxMonitor) {
        this.maxMonitor = maxMonitor;
    }

    public BigDecimal getMaxMonitor() {
        return maxMonitor;
    }

    public String getFunNum() {
        return funNum;
    }

    public void setFunNum(String funNum) {
        this.funNum = funNum;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("riskPlanId", getRiskPlanId())
                .append("sensorId", getSensorId())
                .append("minMonitor", getMinMonitor())
                .append("maxMonitor", getMaxMonitor())
                .append("createTime", getCreateTime())
                .append("getFunNum", getFunNum())
                .toString();
    }
}
